<header class="post-header">
  <h2 class="post-title">
    <a *ngIf="!isEdit" [href]="article.href">{{ article.title }}</a>
    <input *ngIf="isEdit" type="text" size="60" [(ngModel)]="article.title"
      (keyup.enter)="doUpdateTitle()"
      (keyup.escape)="doCancelUpdateTitle()">
  </h2>
  <div class="post-info clearfix">
    <span>
      <button (click)="doDeleteArticle()">刪除文章</button>
      <button *ngIf="!isEdit" (click)="isEdit = true">編輯標題</button>
      <button *ngIf="isEdit" (click)="doCancelUpdateTitle()">取消編輯</button>
    </span>
  </div>
</header>
